## ---- include=TRUE, results="hide", message=FALSE, warning=FALSE--------------

library(MultiAssayExperiment)
library(SingleCellMultiModal)


## -----------------------------------------------------------------------------

CITEseq(DataType="cord_blood", modes="*", dry.run=TRUE, version="1.0.0")


## ----message=FALSE------------------------------------------------------------

mse <- CITEseq(
    DataType="cord_blood", modes="*", dry.run=FALSE, version="1.0.0"
)

mse

## -----------------------------------------------------------------------------
experiments(mse)

## -----------------------------------------------------------------------------
rownames(mse)

## -----------------------------------------------------------------------------
sampleMap(mse)

## -----------------------------------------------------------------------------
head(experiments(mse)$scRNAseq)[, 1:4]

## -----------------------------------------------------------------------------
head(experiments(mse)$scADT)[, 1:4]

## ----message=FALSE------------------------------------------------------------
sce <- CITEseq(DataType="cord_blood", modes="*", dry.run=FALSE, version="1.0.0",
              DataClass="SingleCellExperiment")

## -----------------------------------------------------------------------------
sessionInfo()

