## ----include=TRUE, results="hide", message=FALSE, warning=FALSE---------------

library(MultiAssayExperiment)
library(SpatialExperiment)
library(SingleCellMultiModal)


## -----------------------------------------------------------------------------

SingleCellMultiModal::seqFISH(DataType="mouse_visual_cortex", 
                        modes="*", dry.run=TRUE, version="2.0.0")


## -----------------------------------------------------------------------------

mae <- SingleCellMultiModal::seqFISH(DataType="mouse_visual_cortex", 
                        modes="*", dry.run=FALSE, version="2.0.0")
mae

## -----------------------------------------------------------------------------
experiments(mae)

## -----------------------------------------------------------------------------
rownames(mae)

## -----------------------------------------------------------------------------
sampleMap(mae)

## -----------------------------------------------------------------------------
experiments(mae)$scRNAseq

## -----------------------------------------------------------------------------
head(assay(mae, "scRNAseq"))[,1:4]

## -----------------------------------------------------------------------------
experiments(mae)$seqFISH

## -----------------------------------------------------------------------------
head(assay(mae, "seqFISH"))[,1:4]

## -----------------------------------------------------------------------------
(sc <- spatialCoords(experiments(mae)$seqFISH))

## -----------------------------------------------------------------------------
fakeCoords <- cbind(sc[,c(1:3)], sc[,3])
colnames(fakeCoords)[4] <- "y"
spatialCoords(experiments(mae)$seqFISH) <- fakeCoords
spatialCoords(experiments(mae)$seqFISH)

## -----------------------------------------------------------------------------
spatialCoordsNames(experiments(mae)$seqFISH)

## -----------------------------------------------------------------------------

mae <- SingleCellMultiModal::seqFISH(DataType="mouse_visual_cortex", 
                        modes="*", dry.run=FALSE, version="1.0.0")
mae

## -----------------------------------------------------------------------------
sessionInfo()

